Package org.eclipse.ecf.remoteservice.rest.client

## Class AbstractRequestType

- java.lang.Object
- - org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

All Implemented Interfaces:
  `IRemoteCallableRequestType`

Direct Known Subclasses:
  `AbstractEntityRequestType`, `HttpDeleteRequestType`, `HttpGetRequestType`

    public abstract class AbstractRequestType
    extends Object
    implements IRemoteCallableRequestType

### Field Summary

Fields
`protected Map` `defaultRequestHeaders`

### Constructor Summary

Constructors
`AbstractRequestType()`
`AbstractRequestType​(Map defaultRequestHeaders)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map` `getDefaultRequestHeaders()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### defaultRequestHeaders

    protected Map defaultRequestHeaders

### Constructor Detail

#### AbstractRequestType

    public AbstractRequestType​(Map defaultRequestHeaders)

#### AbstractRequestType

    public AbstractRequestType()

### Method Detail

#### getDefaultRequestHeaders

    public Map getDefaultRequestHeaders()